local CQLLOGBTN = CreateFrame("Button", "CollapseButton", QuestScrollFrame, 'UIPanelButtonTemplate')
--Set frame strata to draw over most other frames
  CQLLOGBTN:SetFrameStrata(HIGH)
  
--Make button draggable in the event it is blocking something else
  CQLLOGBTN:SetMovable(true)
  CQLLOGBTN:EnableMouse(true)
  CQLLOGBTN:RegisterForDrag("RightButton")
  CQLLOGBTN:SetScript("OnDragStart", CQLLOGBTN.StartMoving)
  CQLLOGBTN:SetScript("OnDragStop", CQLLOGBTN.StopMovingOrSizing)
  
--Slash command to reset position to default
  SLASH_CQLRESET1 = "/cqlreset"
  SlashCmdList["CQLRESET"] = function() 
  CQLLOGBTN:ClearAllPoints()
  CQLLOGBTN:SetPoint("TOPRIGHT",-25,23)
  print('Collapse QuestLog Button Position Reset')
  end
  
--Set Attributes for button (i.e. size, anchor, text)
  CQLLOGBTN:SetSize(65,20)
  CQLLOGBTN:SetPoint("TOPRIGHT",-25,23)
  CQLLOGBTN:SetText('Collapse')
  
--make button work with left click and execute collapse function
  CQLLOGBTN:RegisterForClicks("LeftButtonUp")
  CQLLOGBTN:SetScript("OnClick", function() CollapseQuestHeader(0) end)
  
  local CQLTSBTN = CreateFrame("Button", "CollapseButton", TradeSkillFrame, 'UIPanelButtonTemplate')
				
				
--Set frame strata to draw over most other frames
  CQLTSBTN:SetFrameStrata(HIGH)
  
--Make button draggable in case it is in the way
  CQLTSBTN:SetMovable(true)
  CQLTSBTN:EnableMouse(true)
  CQLTSBTN:RegisterForDrag("RightButton")
  CQLTSBTN:SetScript("OnDragStart", CQLTSBTN.StartMoving)
  CQLTSBTN:SetScript("OnDragStop", CQLTSBTN.StopMovingOrSizing)
  
--Slash command to reset position to default
  SLASH_CQLRESET1 = "/cqltsreset"
  SlashCmdList["CQLTSRESET"] = function() 
  CQLTSBTN:ClearAllPoints()
  CQLTSBTN:SetPoint("TOPRIGHT",-30,0)
  print('Collapse TradeSkill Button Position Reset')
  end
  
--Set Attributes for button (i.e. size, anchor, text)
  CQLTSBTN:SetSize(65,20)
  CQLTSBTN:SetPoint("TOPRIGHT",-30,0)
  CQLTSBTN:SetText('Collapse')
  
--make button work with left click and execute collapse
  CQLTSBTN:RegisterForClicks("LeftButtonUp")
  CQLTSBTN:SetScript("OnClick", function() for _, category in pairs({C_TradeSkillUI.GetCategories()}) do TradeSkillFrame.RecipeList:SetCategoryCollapsed(category, true) end end)